https://github.com/lxml/lxml/commit/852ed1092bd80b6b9a51db24371047ec88843031
https://bugs.gentoo.org/791190

From: Stefan Behnel <stefan_ml@behnel.de>
Date: Tue, 18 May 2021 22:02:02 +0200
Subject: [PATCH] Adapt a test to a behavioural change in libxml2 2.9.11+.

--- a/src/lxml/tests/test_etree.py
+++ b/src/lxml/tests/test_etree.py
@@ -3036,7 +3036,10 @@ def test_subelement_nsmap(self):
     def test_html_prefix_nsmap(self):
         etree = self.etree
         el = etree.HTML('<hha:page-description>aa</hha:page-description>').find('.//page-description')
-        self.assertEqual({'hha': None}, el.nsmap)
+        if etree.LIBXML_VERSION < (2, 9, 11):
+            self.assertEqual({'hha': None}, el.nsmap)
+        else:
+            self.assertEqual({}, el.nsmap)
 
     def test_getchildren(self):
         Element = self.etree.Element

